import { ActorModel } from '@server/models/actor/actor';
import { FilteredModelAttributes } from '@server/types';
import { ActivityPubActor, ActorImageType } from '@shared/models';
declare function getActorAttributesFromObject(actorObject: ActivityPubActor, followersCount: number, followingCount: number): FilteredModelAttributes<ActorModel>;
declare function getImageInfoFromObject(actorObject: ActivityPubActor, type: ActorImageType): {
    name: string;
    fileUrl: string;
    height: number;
    width: number;
    type: ActorImageType;
};
declare function getActorDisplayNameFromObject(actorObject: ActivityPubActor): string;
export { getActorAttributesFromObject, getImageInfoFromObject, getActorDisplayNameFromObject };
