import { Response } from 'express';
import { VideoLoadType } from '@server/lib/model-loaders';
import { MUser, MUserAccountId, MVideoAccountLight } from '@server/types/models';
import { UserRight } from '@shared/models';
declare function doesVideoExist(id: number | string, res: Response, fetchType?: VideoLoadType): Promise<boolean>;
declare function doesVideoFileOfVideoExist(id: number, videoIdOrUUID: number | string, res: Response): Promise<boolean>;
declare function doesVideoChannelOfAccountExist(channelId: number, user: MUserAccountId, res: Response): Promise<boolean>;
declare function checkUserCanManageVideo(user: MUser, video: MVideoAccountLight, right: UserRight, res: Response, onlyOwned?: boolean): boolean;
export { doesVideoChannelOfAccountExist, doesVideoExist, doesVideoFileOfVideoExist, checkUserCanManageVideo };
