import { Model } from 'sequelize-typescript';
import { MAccountBlocklist, MAccountBlocklistAccounts, MAccountBlocklistFormattable } from '@server/types/models';
import { AttributesOnly } from '@shared/core-utils';
import { AccountBlock } from '../../../shared/models';
import { AccountModel } from './account';
export declare class AccountBlocklistModel extends Model<Partial<AttributesOnly<AccountBlocklistModel>>> {
    createdAt: Date;
    updatedAt: Date;
    accountId: number;
    ByAccount: AccountModel;
    targetAccountId: number;
    BlockedAccount: AccountModel;
    static isAccountMutedByMulti(accountIds: number[], targetAccountId: number): Promise<{
        [accountId: number]: boolean;
    }>;
    static loadByAccountAndTarget(accountId: number, targetAccountId: number): Promise<MAccountBlocklist>;
    static listForApi(parameters: {
        start: number;
        count: number;
        sort: string;
        search?: string;
        accountId: number;
    }): Promise<{
        total: number;
        data: MAccountBlocklistAccounts[];
    }>;
    static listHandlesBlockedBy(accountIds: number[]): Promise<string[]>;
    toFormattedJSON(this: MAccountBlocklistFormattable): AccountBlock;
}
