import { Model } from 'sequelize-typescript';
import { AttributesOnly } from '@shared/core-utils';
import { OAuthTokenModel } from './oauth-token';
export declare class OAuthClientModel extends Model<Partial<AttributesOnly<OAuthClientModel>>> {
    clientId: string;
    clientSecret: string;
    grants: string[];
    redirectUris: string[];
    createdAt: Date;
    updatedAt: Date;
    OAuthTokens: OAuthTokenModel[];
    static countTotal(): Promise<number>;
    static loadFirstClient(): Promise<OAuthClientModel>;
    static getByIdAndSecret(clientId: string, clientSecret: string): Promise<OAuthClientModel>;
}
