import { Model } from 'sequelize-typescript';
import { Transaction } from 'sequelize/types';
import { MTracker } from '@server/types/models/server/tracker';
import { AttributesOnly } from '@shared/core-utils';
import { VideoModel } from '../video/video';
export declare class TrackerModel extends Model<Partial<AttributesOnly<TrackerModel>>> {
    url: string;
    createdAt: Date;
    updatedAt: Date;
    Videos: VideoModel[];
    static listUrlsByVideoId(videoId: number): Promise<string[]>;
    static findOrCreateTrackers(trackers: string[], transaction: Transaction): Promise<MTracker[]>;
}
