import { Model } from 'sequelize-typescript';
import { MVideoImportDefault, MVideoImportFormattable } from '@server/types/models/video/video-import';
import { AttributesOnly } from '@shared/core-utils';
import { VideoImport, VideoImportState } from '../../../shared';
import { UserModel } from '../user/user';
import { VideoModel } from './video';
export declare class VideoImportModel extends Model<Partial<AttributesOnly<VideoImportModel>>> {
    createdAt: Date;
    updatedAt: Date;
    targetUrl: string;
    magnetUri: string;
    torrentName: string;
    state: VideoImportState;
    error: string;
    userId: number;
    User: UserModel;
    videoId: number;
    Video: VideoModel;
    static deleteVideoIfFailed(instance: VideoImportModel, options: any): any;
    static loadAndPopulateVideo(id: number): Promise<MVideoImportDefault>;
    static listUserVideoImportsForApi(userId: number, start: number, count: number, sort: string): Promise<{
        data: MVideoImportDefault[];
        total: number;
    }>;
    getTargetIdentifier(): string;
    toFormattedJSON(this: MVideoImportFormattable): VideoImport;
    private static getStateLabel;
}
