import { Transaction } from 'sequelize';
import { Model } from 'sequelize-typescript';
import { AttributesOnly } from '@shared/core-utils';
import { VideoModel } from './video';
export declare class VideoJobInfoModel extends Model<Partial<AttributesOnly<VideoJobInfoModel>>> {
    createdAt: Date;
    updatedAt: Date;
    pendingMove: number;
    pendingTranscode: number;
    videoId: number;
    Video: VideoModel;
    static load(videoId: number, transaction?: Transaction): Promise<VideoJobInfoModel>;
    static increaseOrCreate(videoUUID: string, column: 'pendingMove' | 'pendingTranscode'): Promise<number>;
    static decrease(videoUUID: string, column: 'pendingMove' | 'pendingTranscode'): Promise<number>;
}
