import { ServerModel } from '../../../models/server/server';
import { FunctionProperties, PickWith } from '@shared/core-utils';
import { MAccountBlocklistId } from '../account';
declare type Use<K extends keyof ServerModel, M> = PickWith<ServerModel, K, M>;
export declare type MServer = Omit<ServerModel, 'Actors' | 'BlockedByAccounts'>;
export declare type MServerHost = Pick<MServer, 'host'>;
export declare type MServerRedundancyAllowed = Pick<MServer, 'redundancyAllowed'>;
export declare type MServerHostBlocks = MServerHost & Use<'BlockedBy', MAccountBlocklistId[]>;
export declare type MServerFormattable = FunctionProperties<MServer> & Pick<MServer, 'host'>;
export {};
