import { VideoImportModel } from '@server/models/video/video-import';
import { PickWith, PickWithOpt } from '@shared/core-utils';
import { MVideo, MVideoAccountLight, MVideoFormattable, MVideoTag, MVideoThumbnail, MVideoWithFile } from './video';
import { MUser } from '../user/user';
declare type Use<K extends keyof VideoImportModel, M> = PickWith<VideoImportModel, K, M>;
export declare type MVideoImport = Omit<VideoImportModel, 'User' | 'Video'>;
export declare type MVideoImportVideo = MVideoImport & Use<'Video', MVideo>;
declare type VideoAssociation = MVideoTag & MVideoAccountLight & MVideoThumbnail;
export declare type MVideoImportDefault = MVideoImport & Use<'User', MUser> & Use<'Video', VideoAssociation>;
export declare type MVideoImportDefaultFiles = MVideoImport & Use<'User', MUser> & Use<'Video', VideoAssociation & MVideoWithFile>;
export declare type MVideoImportFormattable = MVideoImport & PickWithOpt<VideoImportModel, 'Video', MVideoFormattable & MVideoTag>;
export {};
