declare const FIXTURE_URLS: {
    peertube_long: string;
    peertube_short: string;
    youtube: string;
    /**
     * The video is used to check format-selection correctness wrt. HDR,
     * which brings its own set of oddities outside of a MediaSource.
     *
     * The video needs to have the following format_ids:
     * (which you can check by using `youtube-dl <url> -F`):
     * - (webm vp9)
     * - (mp4 avc1)
     * - (webm vp9.2 HDR)
     */
    youtubeHDR: string;
    magnet: string;
    badVideo: string;
    goodVideo: string;
    goodVideo720: string;
    file4K: string;
};
declare function parallelTests(): boolean;
declare function isGithubCI(): boolean;
declare function areHttpImportTestsDisabled(): boolean;
declare function areObjectStorageTestsDisabled(): boolean;
declare function buildAbsoluteFixturePath(path: string, customCIPath?: boolean): string;
declare function root(): string;
declare function wait(milliseconds: number): Promise<unknown>;
declare function getFileSize(path: string): Promise<number>;
declare function buildRequestStub(): any;
export { FIXTURE_URLS, parallelTests, isGithubCI, areHttpImportTestsDisabled, buildAbsoluteFixturePath, getFileSize, buildRequestStub, areObjectStorageTestsDisabled, wait, root };
