/// <reference types="superagent" />
/// <reference types="supertest" />
import { DeepPartial } from '@shared/core-utils';
import { About, ServerConfig } from '@shared/models';
import { CustomConfig } from '../../models/server/custom-config.model';
import { AbstractCommand, OverrideCommandOptions } from '../shared';
export declare class ConfigCommand extends AbstractCommand {
    static getCustomConfigResolutions(enabled: boolean): {
        '144p': boolean;
        '240p': boolean;
        '360p': boolean;
        '480p': boolean;
        '720p': boolean;
        '1080p': boolean;
        '1440p': boolean;
        '2160p': boolean;
    };
    enableImports(): Promise<import("superagent").Response>;
    enableLive(options?: {
        allowReplay?: boolean;
        transcoding?: boolean;
    }): Promise<import("superagent").Response>;
    disableTranscoding(): Promise<import("superagent").Response>;
    enableTranscoding(webtorrent?: boolean, hls?: boolean): Promise<import("superagent").Response>;
    getConfig(options?: OverrideCommandOptions): Promise<ServerConfig>;
    getAbout(options?: OverrideCommandOptions): Promise<About>;
    getCustomConfig(options?: OverrideCommandOptions): Promise<CustomConfig>;
    updateCustomConfig(options: OverrideCommandOptions & {
        newCustomConfig: CustomConfig;
    }): import("supertest").Test;
    deleteCustomConfig(options?: OverrideCommandOptions): import("supertest").Test;
    updateExistingSubConfig(options: OverrideCommandOptions & {
        newConfig: DeepPartial<CustomConfig>;
    }): Promise<import("superagent").Response>;
    updateCustomSubConfig(options: OverrideCommandOptions & {
        newConfig: DeepPartial<CustomConfig>;
    }): import("supertest").Test;
}
