/// <reference types="supertest" />
import { AccountBlock, ResultList, ServerBlock } from '@shared/models';
import { AbstractCommand, OverrideCommandOptions } from '../shared';
declare type ListBlocklistOptions = OverrideCommandOptions & {
    start: number;
    count: number;
    sort: string;
};
export declare class BlocklistCommand extends AbstractCommand {
    listMyAccountBlocklist(options: ListBlocklistOptions): Promise<ResultList<AccountBlock>>;
    listMyServerBlocklist(options: ListBlocklistOptions): Promise<ResultList<ServerBlock>>;
    listServerAccountBlocklist(options: ListBlocklistOptions): Promise<ResultList<AccountBlock>>;
    listServerServerBlocklist(options: ListBlocklistOptions): Promise<ResultList<ServerBlock>>;
    addToMyBlocklist(options: OverrideCommandOptions & {
        account?: string;
        server?: string;
    }): import("supertest").Test;
    addToServerBlocklist(options: OverrideCommandOptions & {
        account?: string;
        server?: string;
    }): import("supertest").Test;
    removeFromMyBlocklist(options: OverrideCommandOptions & {
        account?: string;
        server?: string;
    }): import("supertest").Test;
    removeFromServerBlocklist(options: OverrideCommandOptions & {
        account?: string;
        server?: string;
    }): import("supertest").Test;
    private listBlocklist;
}
export {};
