import { HttpStatusCode, VideoCaption, VideoDetails } from '@shared/models';
import { PeerTubeServer } from '../server/server';
import { VideoEdit } from './videos-command';
declare function checkVideoFilesWereRemoved(options: {
    server: PeerTubeServer;
    video: VideoDetails;
    captions?: VideoCaption[];
    onlyVideoFiles?: boolean;
}): Promise<void>;
declare function saveVideoInServers(servers: PeerTubeServer[], uuid: string): Promise<void>;
declare function checkUploadVideoParam(server: PeerTubeServer, token: string, attributes: Partial<VideoEdit>, expectedStatus?: HttpStatusCode, mode?: 'legacy' | 'resumable'): Promise<import("@shared/models").VideoCreateResult>;
declare function uploadRandomVideoOnServers(servers: PeerTubeServer[], serverNumber: number, additionalParams?: VideoEdit & {
    prefixName?: string;
}): Promise<{
    name: string;
    id: number;
    uuid: string;
    shortUUID: string;
}>;
export { checkUploadVideoParam, uploadRandomVideoOnServers, checkVideoFilesWereRemoved, saveVideoInServers };
